---
- name: How to prompt for variables
  hosts: localhost
  gather_facts: no

  vars_prompt:
    - name: "yourpassword"  # Variable name to define
      prompt: "What is your password?" # Question to ask
      ## do not reveal the password (optional)
      #private: yes
      ## run this encryption method (optional)
      encrypt: "sha512_crypt"
      ## type the password twice (optional)
      confirm: yes
      ## this is the size of the RAND you'd like to have generated (optional)
      #salt_size: 7
      #salt: slappysquirrel88 # provide your own RAND (optional)
      ## default to this password (optional)
      default: "qwerty"

  tasks:
    - name: Print out the password
      debug:
        msg: "{{ yourpassword }}"

